com.threerings.whirled.spot.data

## Interface SpotCodes

All Superinterfaces:
  com.threerings.crowd.chat.data.ChatCodes, com.threerings.presents.data.InvocationCodes, com.threerings.crowd.data.LocationCodes, SceneCodes

All Known Implementing Classes:
  SpotSceneDirector, SpotSceneManager, StageSceneManager

    public interface SpotCodes
    extends com.threerings.crowd.chat.data.ChatCodes, SceneCodes

Contains codes used by the Spot invocation services.

### Field Summary

Fields
`static String` `CLUSTER_CHAT_TYPE` The chat type code with which we register our cluster auxiliary chat objects.
`static String` `CLUSTER_FULL` An error code indicating that a cluster is full.
`static String` `INVALID_LOCATION` An error code indicating that a location is not valid.
`static String` `LOCATION_OCCUPIED` An error code indicating that a location is occupied.
`static String` `NO_SUCH_CLUSTER` An error code indicating that a cluster is not valid.
`static String` `NO_SUCH_PORTAL` An error code indicating that the portal specified in a traversePortal request does not exist.

### Fields inherited from interface com.threerings.crowd.chat.data.ChatCodes

`BROADCAST_ACCESS, BROADCAST_MODE, CHAT_ACCESS, CHAT_CHANNEL_NOTIFICATION, CHAT_NOTIFICATION, DEFAULT_IDLE_TIME, DEFAULT_MODE, EMOTE_MODE, IDLE_TIME_KEY, LAST_MODE, PLACE_CHAT_TYPE, SHOUT_MODE, SUCCESS, THINK_MODE, USER_CHAT_TYPE, USER_DISCONNECTED, USER_NOT_ONLINE, XLATE_MODES`

### Fields inherited from interface com.threerings.whirled.data.SceneCodes

`SCENE_UPDATE, WHIRLED_GROUP`

### Fields inherited from interface com.threerings.crowd.data.LocationCodes

`ALREADY_THERE, MOVE_IN_PROGRESS, NO_SUCH_PLACE`

### Fields inherited from interface com.threerings.presents.data.InvocationCodes

`ACCESS_DENIED, E_ACCESS_DENIED, E_INTERNAL_ERROR, GLOBAL_GROUP, INTERNAL_ERROR`

### Field Detail

#### NO_SUCH_PORTAL

    static final String NO_SUCH_PORTAL

An error code indicating that the portal specified in a traversePortal request does not exist.

See Also:
  Constant Field Values

#### LOCATION_OCCUPIED

    static final String LOCATION_OCCUPIED

An error code indicating that a location is occupied. Usually generated by a failed changeLoc request.

See Also:
  Constant Field Values

#### INVALID_LOCATION

    static final String INVALID_LOCATION

An error code indicating that a location is not valid. Usually generated by a failed changeLoc request.

See Also:
  Constant Field Values

#### NO_SUCH_CLUSTER

    static final String NO_SUCH_CLUSTER

An error code indicating that a cluster is not valid. Usually generated by a failed joinCluster request.

See Also:
  Constant Field Values

#### CLUSTER_FULL

    static final String CLUSTER_FULL

An error code indicating that a cluster is full. Usually generated by a failed joinCluster request.

See Also:
  Constant Field Values

#### CLUSTER_CHAT_TYPE

    static final String CLUSTER_CHAT_TYPE

The chat type code with which we register our cluster auxiliary chat objects. Chat display implementations should interpret chat messages with this type accordingly.

See Also:
  Constant Field Values